# Настройка номера порта сервера Graphql
server:
  port : 8081

spring:  
  output:
    ansi:
      enabled: DETECT
# Настройка модуля GraphQL      
  graphql:
    graphiql:
      enabled: true
        
# Раздел настройки базы данных      
  sql:
    # Режим инициализации  базы данных с использованием SQL:always,never )
    init:
      mode: always
      #mode: never
      continue-on-error: false
  # Настройка подключения к базе данных 
  datasource:     
    platform: postgres
    url: jdbc:postgresql://localhost:7432/postgres
    username: postgres
    password: postgres
    driverClassName: org.postgresql.Driver
   
logging:
  file.name: ../log/jdbc-example.log   
  pattern:
    console: "%d{yyyy-MMM-dd HH:mm:ss.SSS} [%thread] %highlight(%-5level) %cyan(%logger{15}) - %msg %n"
    file: "%d %-5level [%thread] %logger : %msg%n"          
  level:
    root: INFO
    org.springframework.web: DEBUG
    #org.hibernate.SQL: DEBUG   
    #org.hibernate.type.descriptor.sql.BasicBinder: TRACE
    org.springframework.jdbc: DEBUG
    #org.springframework.jdbc.core.JdbcTemplate: DEBUG
    #org.springframework.jdbc.core.StatementCreatorUtils: TRACE
    
  logback:
        rollingpolicy:
            max-file-size: 10MB
            max-history: 10        
       